Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::TreeModelSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gtk::TreeModel. More...

`#include <xfc/gtk/treemodelsignals.hh>`

Inheritance diagram for Xfc::Gtk::TreeModelSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_row_changed (const TreePath &path, const TreeIter &iter)
    Called when a row in the model is changed.
- virtual void on_row_inserted (const TreePath &path, const TreeIter &iter)
    Called when a row is inserted into the model.
- virtual void on_row_has_child_toggled (const TreePath &path, const TreeIter &iter)
    Called after the child state of a node changes.
- virtual void on_row_deleted (const TreePath &path)
    Called when a row is removed from the model.
- virtual void on_rows_reordered (const TreePath &path, const TreeIter &iter, int *new_order)
    Called when the model's rows have been reordered.

## Protected Member Functions

Constructors

- virtual ~TreeModelSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gtk::TreeModel.

## Member Function Documentation

virtual void Xfc::Gtk::TreeModelSignals::on_row_changed | ( | const TreePath & | path,
|  | const TreeIter & | iter
| ) | `[virtual]`

Called when a row in the model is changed.

Parameters:

  | path | A TreePath pointing to the changed row.
  | iter | A valid TreeIter pointing to the changed row.

virtual void Xfc::Gtk::TreeModelSignals::on_row_deleted | ( | const TreePath & | path | ) | `[virtual]`

Called when a row is removed from the model.

Parameters:

  | path | A TreePath pointing to the previous location of the deleted row.

virtual void Xfc::Gtk::TreeModelSignals::on_row_has_child_toggled | ( | const TreePath & | path,
|  | const TreeIter & | iter
| ) | `[virtual]`

Called after the child state of a node changes.

Parameters:

  | path | A TreePath pointing to the changed row.
  | iter | A valid TreeIter pointing to the changed row.

virtual void Xfc::Gtk::TreeModelSignals::on_row_inserted | ( | const TreePath & | path,
|  | const TreeIter & | iter
| ) | `[virtual]`

Called when a row is inserted into the model.

Parameters:

  | path | A TreePath pointing to the inserted row.
  | iter | A valid TreeIter pointing to the inserted row.

virtual void Xfc::Gtk::TreeModelSignals::on_rows_reordered | ( | const TreePath & | path,
|  | const TreeIter & | iter,
|  | int * | new_order
| ) | `[virtual]`

Called when the model's rows have been reordered.

Parameters:

  | path | A TreePath pointing to the tree node whose children have been reordered.
  | iter | A valid TreeIter pointing to the node whose children have been reordered.
  | new_order | An array of integers containing the new indices of the children, i.e. the former child n is now at position new_order[n].

The documentation for this class was generated from the following file:

- treemodelsignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3